> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Registers an Admin with an Employer

> Registers an Admin associated with an Employer



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml post /v1/employers/{employerId}/admins
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/admins:
    post:
      tags:
        - Admin
      summary: Registers an Admin with an Employer
      description: Registers an Admin associated with an Employer
      operationId: registerAdmin
      parameters:
        - in: path
          name: employerId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              Example of an Admin object to register an Admin:
                description: Example of an Admin object to register an Admin
                summary: Admin Object
                value:
                  emailAddress: admin@example.com
                  firstName: adminFirst
                  lastName: adminLast
            schema:
              $ref: '#/components/schemas/AdminDetails'
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                This response will return the registered Admin information:
                  description: This response will return the registered Admin information
                  summary: >-
                    Example response when registering an Admin with navigation
                    links provided via HTTP headers
                  value:
                    admin:
                      emailAddress: admin@example.com
                      firstName: adminFirst
                      id: 0196e9ba-60a7-79e3-b13a-70bba26d0fb2
                      lastName: adminLast
              schema:
                $ref: '#/components/schemas/AdminDetails'
          description: OK
        '400':
          description: Bad Request, make sure to use proper POST request
        '404':
          description: Resource not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    AdminDetails:
      description: Admin information
      properties:
        emailAddress:
          description: Email address associated with an Admin.
          type: string
        firstName:
          description: Admin's first name.
          type: string
        id:
          format: uuid
          type: string
        lastName:
          description: Admin's last name.
          type: string
        middleName:
          description: Middle name.
          type: string
      required:
        - emailAddress
        - firstName
        - lastName
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````